package com.example.orderly.ui.auth

import androidx.navigation.ActionOnlyNavDirections
import androidx.navigation.NavDirections
import com.example.orderly.NavGraphDirections
import com.example.orderly.R

public class SplashFragmentDirections private constructor() {
  public companion object {
    public fun actionSplashFragmentToWelcomeFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_splashFragment_to_welcomeFragment)

    public fun actionSplashFragmentToNavHome(): NavDirections =
        ActionOnlyNavDirections(R.id.action_splashFragment_to_nav_home)

    public fun actionGlobalWelcomeFragment(): NavDirections =
        NavGraphDirections.actionGlobalWelcomeFragment()
  }
}
